
<ng-container>
    <mat-card class="result-container" [ngClass]="{'warning-border': parametersChanged}" tabindex="0">
        <mat-card-title>{{resultsHeaderMsg}}</mat-card-title>
        <div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Thermal sensitivity times the weighting correction factor"
                                matTooltipPosition="before">
                    Weighted continuum sensitivity
                </mat-card-content>
                <mat-card-content id="continuumWeightedSensitivity"
                                matTooltip="Thermal sensitivity times the weighting correction factor"
                                matTooltipPosition="before">
                {{lowContinuumResults?.weightedContinuumSensitivity}}<ng-container *ngIf="lowContinuumResults?.weightedContinuumSensitivity">&dagger;</ng-container>
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                                matTooltipPosition="before">
                    Continuum confusion noise
                </mat-card-content>
                <mat-card-content id="continuumConfusionNoise"
                                matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                                matTooltipPosition="before">
                    {{lowContinuumResults?.continuumConfusionNoise}}<ng-container *ngIf="lowContinuumResults?.continuumConfusionNoise"></ng-container>
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title" matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                matTooltipPosition="before">
                    Total continuum sensitivity
                </mat-card-content>
                <mat-card-content id="continuumTotalSensitivity"
                                matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                                matTooltipPosition="before">
                    {{lowContinuumResults?.totalContinuumSensitivity}}<ng-container *ngIf="lowContinuumResults?.totalContinuumSensitivity"></ng-container>
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                                matTooltipPosition="before">
                    Continuum synthesized beam-size
                </mat-card-content>
                <mat-card-content id="continuumSynthesizedBeamSize"
                matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                matTooltipPosition="before">
                    {{lowContinuumResults?.continuumSynthesizedBeamSize}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                                matTooltipPosition="before">
                    Continuum surface-brightness sensitivity
                </mat-card-content>
                <mat-card-content id="continuumSurfaceBrightnessSensitivity"
                matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                matTooltipPosition="before">
                    {{lowContinuumResults?.continuumSurfaceBrightnessSensitivity}}
                </mat-card-content>
            </div>

            <div *ngIf="nSubbands > 1">
              <br>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Thermal sensitivity times the weighting correction factor (lowest and highest frequency)"
                                  matTooltipPositiWeighted sensitivity per sub-bandon="before">
                    Weighted sensitivity per sub-band
                </mat-card-content>
                <mat-card-content id="weightedContinuumSensitivityRange"
                matTooltip="Thermal sensitivity times the weighting correction factor (lowest and highest frequency)"
                matTooltipPositiWeighted sensitivity per sub-bandon="before">
                  {{lowContinuumResults?.weightedSensitivityPerSubBand}}<ng-container *ngIf="lowContinuumResults?.weightedSensitivityPerSubBand">&dagger;</ng-container>
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Confusion noise per sub-band
                </mat-card-content>
                <mat-card-content id="confusionNoiseRange"
                matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{lowContinuumResults?.confusionNoisePerSubBand}}
                </mat-card-content>
            </div>
            <div class="layout">

                <mat-card-content class="title"
                                  matTooltip="Sum in quadrature of weighted sensitivity and confusion noise (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Total sensitivity per sub-band
                </mat-card-content>
                <mat-card-content id="continuumSensitivityRange"
                matTooltip="Sum in quadrature of weighted sensitivity and confusion noise (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{lowContinuumResults?.totalSensitivityPerSubBand}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Major and minor axes (FWHM) of the synthesized beam (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Synthesized beam-size per sub-band
                </mat-card-content>
                <mat-card-content id="synthesizedBeamSizeRange"
                matTooltip="Major and minor axes (FWHM) of the synthesized beam (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{lowContinuumResults?.synthesizedBeamSizePerSubBand}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                  matTooltip="Brightness sensitivity corresponding to the beam solid angle (lowest and highest frequency)"
                                  matTooltipPosition="before">
                    Surface-brightness sensitivity per sub-band
                </mat-card-content>
                <mat-card-content id="surfaceBrightnessSensitivityRange"
                matTooltip="Brightness sensitivity corresponding to the beam solid angle (lowest and highest frequency)"
                matTooltipPosition="before">
                    {{lowContinuumResults?.surfaceBrightnessSensitivityPerSubBand}}
                </mat-card-content>
            </div>
        </div>

            <br>

            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Thermal sensitivity times the weighting correction factor"
                                matTooltipPosition="before">
                    Weighted spectral sensitivity
                </mat-card-content>
                <mat-card-content id="weightedSpectralSensitivity"
                                matTooltip="Thermal sensitivity times the weighting correction factor"
                                matTooltipPosition="before">
                    {{lowContinuumResults?.weightedSpectralSensitivity}}<ng-container *ngIf="lowContinuumResults?.weightedSpectralSensitivity">&Dagger;</ng-container>
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                                matTooltipPosition="before">
                    Spectral confusion noise
                </mat-card-content>
                <mat-card-content id="spectralConfNoise"
                                matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                                matTooltipPosition="before">
                    {{lowContinuumResults?.spectralConfusionNoise}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                                matTooltipPosition="before">
                    Total spectral sensitivity
                </mat-card-content>
                <mat-card-content id="totSpectralSensitivity"
                                matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                                matTooltipPosition="before">
                    {{lowContinuumResults?.totalSpectralSensitivity}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                                matTooltipPosition="before">
                    Spectral synthesized beam-size
                </mat-card-content>
                <mat-card-content id="spectralSynthBeamSize"
                                matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                                matTooltipPosition="before">
                    {{lowContinuumResults?.spectralSynthesizedBeamSize}}
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                                matTooltipPosition="before">
                    Spectral surface-brightness sensitivity
                </mat-card-content>
                <mat-card-content id="spectralSurfaceBrightSensitivity"
                                matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                                matTooltipPosition="before">
                    {{lowContinuumResults?.spectralSurfaceBrightnessSensitivity}}
                </mat-card-content>
            </div>

            <br>

            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="FWHM of the Rotation Measure Spread Function"
                                matTooltipPosition="before">
                    FWHM of the RMSF
                </mat-card-content>
                <mat-card-content id="fwhmOfTheRmsf"
                                matTooltip="FWHM of the Rotation Measure Spread Function"
                                matTooltipPosition="before" [innerHTML]="lowContinuumResults?.spectropolarimetryResults?.fwhmOfTheRMSF">
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Largest Faraday depth scale that can be detected"
                                matTooltipPosition="before">
                    Maximum Faraday depth extent
                </mat-card-content>
                <mat-card-content id="maxFaradayDepthExtent"
                                matTooltip="Largest Faraday depth scale that can be detected"
                                matTooltipPosition="before" [innerHTML]="lowContinuumResults?.spectropolarimetryResults?.maximumFaradayDepthExtent">
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Maximum Faraday depth that can be detected"
                                matTooltipPosition="before">
                    Maximum Faraday depth
                </mat-card-content>
                <mat-card-content id="maxFaradayDepth"
                                matTooltip="Maximum Faraday depth that can be detected"
                                matTooltipPosition="before" [innerHTML]="lowContinuumResults?.spectropolarimetryResults?.maximumFaradayDepth">
                </mat-card-content>
            </div>
        </div>
        <mat-error *ngIf="lowContinuumResults?.warnings?.errorMsg">
            {{lowContinuumResults?.warnings?.errorMsg}}
        </mat-error>
        <mat-error *ngIf="lowContinuumResults?.warnings?.sensLimitReached?.reached" id="sensLimitWarning" style="padding-top: 6px;">
            {{sensLimitWarning()}}
        </mat-error>
        <mat-error *ngIf="lowContinuumResults?.warnings?.integrationTimesDifferent" id="contIntegrationTimeWarning" style="padding-top: 6px;">
            {{differentIntegrationTimeMessage}}
        </mat-error>
    </mat-card>
    <ng-container *ngIf="lowContinuumResults?.weightedContinuumSensitivity">
      &dagger; Weighting correction factor (30% bandwidth)<br/>
    </ng-container>
    <ng-container *ngIf="lowContinuumResults?.weightedContinuumSensitivity">
        &Dagger; Weighting correction factor (single channel)<br/>
    </ng-container>
    <mat-error  *ngIf="parametersChanged">
        Parameters have changed.
    </mat-error>
</ng-container>
